Extract source and doc files from a shell archive

[fl 1000,80]
[ef \0a]

@A
   [rd 1]
   [ifs 1 ^$ "if test -f", @A]      ignore until a test comes up
@B [rd 1]
   [ifs 1 ^$ "cat <<", @B]
   [in 1, "'", 1]                   find the file string
   [ic 1]
   [in (#1) 1, "'", 2]              find the end of the string
   [ca 2 - 1 = 3]                   length of string
   [cf (#1,#3) 1,2]                 copy the file
   [nf 2]                           create the file
   [pt 2," created.\0d\0a"]         echo that you have done so
@C [rd 1]
   [ifs 1 $ "SHAR_EOF", @A]
   [wr 1,"\0a"]
   [go @C]
